knetworkmanager under kde4 doesn't recognize the static IP connections that I have configured.

Bug #280762 reported by cman on 2008-10-09
256
This bug affects 25 people
Affects Status Importance Assigned to Milestone
The Dell Mini Project
Undecided
Unassigned
knetworkmanager (Fedora)
Expired
Medium
knetworkmanager (Ubuntu)
High
Jonathan Riddell
Jaunty
High
Unassigned

Bug Description

With gnome and nm-applet i have no problem, i have configured my static IP connection and it works just right, but if i change to KDE 4 (it uses knetworkmanager to manage the connection) then it just does not recognize it and even if i introduce it again it doesn't work.
My system is: Kubuntu intrepid ibex beta, AMD 64 bits version.

HeiKei (pangpangalex) wrote :

I am using Kubuntu intrepid ibex beta and have the same problem. Both wire and wireless are not working with static IP connection.

HeiKei (pangpangalex) wrote :

And my system is : kubuntu intrepid ibex beta, i386 version not x64 but have the same problem

I have a Kubuntu Intrepid Ibex on a MSI Wind U100. And wired and wireless doesnt work with static IP.

Julien Aubin (gojulgarbmail) wrote :

A possible workaround to this issue consists in rewriting by hand the file /etc/resolv.conf each time the issue occur. Actually this is a DNS issue, not a "deactivated connection" issue.

Peter (jynyl) wrote :

Similar symptoms here on Kubuntu 8.10 rc.

See also;
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/279384

F3lip3 (f3lip3tkd) wrote :

I have the sme problem static ip connection not work. I see mi ip configuration with ifconfig eth0 and the interface haven't the correct ip addres

Changed in knetworkmanager:
status: New → Confirmed
pepster (jheled) wrote :

The KDE network manager has *never* *ever* worked for me, over several laptops and Kubuntu versions. In 7.10 I installed gnome just for the network manager, and had a nightmare which resulted in a need for a painful reinstallation instead of an upgrade. I prefer KDE any day but it network manager and X setup with external monitor *never* *ever* worked for me. This is why I can't recommend Kubuntu to my friends.

Sorry about the rant.

dnh (dnh) wrote :

I can confirm this on Kubuntu 8.10, fresh install. Networkmanager replies "not running".

A solution would be great...

I can confirm this bug, on Xubuntu the same settings work fine. System: Kubuntu 8.10, fresh install.

Karpichev (dimo-karpichev) wrote :

Kubuntu 8.10, fresh install, with DINAMIC IP, setup my DSL with pppoeconf , after first restart i have not connection and every time restart 5-9 times to get connection.

mauriceplus (mauriceplus) wrote :

HI, I'm using Kubuntu 8.10, upgraded from 8.04.
I want to confirm this bug, but I've experienced an interesting thing!!
Skype works fine, I can talk with anyone, but I can't surf on internet with firefox and other programs, and apt-get doesn't work!!
but WHY Skype WORKS???

Thanks a lot to all that are working on it!!!
P.S.: a little advertisement: sometimes who have this bugs haven't other way to connect to internet, so an upgrade of package(s) is not so easy to do!!

dnh (dnh) wrote :

mauriceplus, a work-around for me is to boot without the cable plugged in. when i then plug it in after the start, everything works (most of the times).

Karpichev (dimo-karpichev) wrote :

Hey, realy Skype have connection, Amarok can stream internet radio, but can't surf with firefox and konqueror, adept cannot connect to the server , DC++ cannot connect - next I restart kubuntu 8.10 two times & I get full connection!!!

sdlnxgk (sdlnxgk-gmail) wrote :

I am using Kubuntu intrepid ibex 8.10 and it's working great no problems with connectivity so far... Sometimes the icon says it's not connected but I checked it and it is connected to the internet.. I stream, play games, listen to music, watch tv...

I was running DHCP to start thins up then changed connection to a static IP and works like a charm...

S. Tuncer Erdogan (tuncer) wrote :

I couldn't use static IP for wired connection back in 8.04, and the problem continues. This is not a network issue, because I did set up IP, gateway, subnet, DNS settings just using a single shell script file. But every time I reboot the system, the settings require to be adjusted again.

Firefox starts with offline mode, even if the connection is on. There should be a basic problem with KNetworkManager.

(On system i386, 32 bit, Kubuntu 8.10)

AndrewSavchuk (andrewsavchuk) wrote :

Kubuntu 8.10 - Samsung r58plus - same bug ^^

Now Ubuntu 8.10 - works good

Kjell Krohn (kjell-krohn) wrote :

Hi, I can confirm this bug as well.

Initially the eht0 interface was set up as with DHCP, but I need to have it statically configured.
When I tail the syslog and try to activate the static configuration, I get the following in the syslog after a few seconds:
--------------
Nov 6 11:05:05 Odin NetworkManager: <WARN> wait_for_connection_expired(): Connection (2) /org/freedesktop/NetworkManagerSettings/Connection/1 failed to activate (timeout): (0) Connection was not provided by any settings service
--------------
... and the network interface stays with the DHCP address.

Knysliux001 (knysliux001) wrote :

Kubuntu 8.10 with all updates still can't set static IP . Always falls back to DHCP.

How to set static IP in Kubuntu 8.10???

i can confirm this as well with 8.10 upgrade and clean install. im using intrepid x64.

mauriceplus (mauriceplus) wrote :

OK... I've solved... I've installed the gnome version of the network manager...
After some days that it lost the IP configuration, now on reboot he keep the configuration!!!
GOOD LUCK!!!!!

Knysliux001 (knysliux001) wrote :

And I had to edit /etc/network/interfaces file manually to get static IP.

nemarona (nemarona) wrote :

Same problem here on a fresh Kubuntu 8.10 install.

Hand-editing

1) /etc/network/interfaces (for the IP address and the gateway), and
2) /etc/resolv.conf (for DNS)

solved it for me (at least until next reboot).

Rup.Xamqon (rupxamqon) wrote :

Same as nemarona, but I also uninstalled Network-Manager and kde network helper apps (I don't remember exactly which ones were installed - I removed all). Hand-editing both files gave me the desired static IP, and it remained fixed even after reboots.

raguru (rtumkur) wrote :

I upgraded my dual boot machine from Kubuntu 8.04 to 8.10 on Sunday. I have absolutely no network connectivity.

I don't think mine is a static IP. I have a cable modem through Comcast and I am pretty sure it is DHCP. When I right click on the globe in the system tray, it says "knetwork manager not running".

Can someone help me with this problem? I am dead in the water since I can't get any updates to this problem. Thanks.

-Raghu

David García (dav.garcia) wrote :

Sorry if this sounds too harsh but...

I think knetworkmanager is completely broken from the ground up and maybe should be redesigned.
- Applying specific configurations to each interface (eth0, eth1...) is quite obscure if not impossible.
- Cisco VPN doesn't work at all, well, if it ever does anything at all (no messages, no errors, just nothing).
- It should be possible to use DHCP with fixed DNS servers.

I don't mean to file new bugs for each issue as I think they all relate to knetworkmanager not being well designed first.

tzekwangteo (tkteo) wrote :

Building upon davidmb's comments:

How many reports do users have to file before people upstream acknowledge that there are serious problems with knetworkmanager? Not only are there many bug reports for knetworkmanager on Launchpad, there are also lots of bug reports over at KDE's Bugzilla that have yet be resolved. In fact those reports have been left open and untouched.

After deliberating for over a week, I finally uninstalled knetworkmanager and installed network-manager-gnome (nm-applet) instead. And it works just fine. Count me among those who would encourage Kubuntu users to ditch knetworkmanager in favor of the -gnome version.

Meanwhile, OpenSuse beta 5 has been released. Among the release notes, there is mention of a network manager plasmoid for KDE 4. http://lists.opensuse.org/opensuse-announce/2008-11/msg00007.html

Karpichev (dimo-karpichev) wrote :

Sorry, but I understood that my posts in this bug-report is not for KnetworkManager. After Kubuntu I install fresh Ubuntu interpid 8.10 and the problem is the same. I config my network with "pppoeconfig" - like many times before - and many times I have NOT connection when I start ubuntu.
Then I just restart network with commands "poff" ---> "pon dsl provider" and it works.

Esa (saloesa) wrote :

Hello!
Problem solved?
I just installed Ubuntu 8.10, and had same kind of problems as others with static IP address.
I inserted twice data for dsl -settings, so I have two rows identical data as figured next:

IP address Subnet mask Gateway
10.0.0.5 255.255.255.0 10.0.0.2
10.0.0.5 255.255.255.0 10.0.0.2

Suprisingly, internet access worked !

Lesergi (lesergi) wrote :

Hi all,

I have the same problem with Kubuntu Intrepid.

The problem is solved configuring network manually.

* First remove all NetworkManager packages:

sudo apt-get remove network-manager network-manager-kde

*After, edit the file /etc/network/interfaces (change address by yours):

auto lo eth0
iface lo inet loopback

iface eth0 inet static
        address 192.168.1.2
        netmask 255.255.255.0
        gateway 192.168.1.1

*Finally, reboot or restart network:

sudo service networking restart

I wish this will help you meanwhile this problem is solved.

Bye.

I can confirm that installing the network-manager-gnome package and using gnome-applet DOES FIX the problem. I am able to connect to a static IP with gnome-applet.

Frank (frank-moosmann) wrote :

Try editing /etc/NetworkManager/nm-system-settings.conf.
In section [ifupdown], set "managed=true".
After that, I got both the gnome and the kde network manager working.

Jimhu (huyiwei) wrote :

I've tried Knetworkmanager in OpenSUSE 11 and it works great without this problem, so i wonder if this is a problem of Kubuntu itself.

Anyway, Knetworkmanager in Kubuntu sucks. Somebody should take care of it.

nemarona (nemarona) wrote :

Frank's suggestion didn't work for me.

Lesergi (lesergi) wrote :

Frank's suggestion does not work for me too.

I can confirm that Intrepid PPA knetworkmanager from http://ppa.launchpad.net/network-manager/ubuntu does not work with static IPs - it ignores the settings and runs dhcp instead. Note I'm using the latest PPA release due to the bug where networkmanager times out on WEP association #292054

Welkin lu (atmlht) wrote :

There's similar problem on my laptop. My system is: Kubuntu 8.10, Compower Laptop, Intel Pentium 1.5GHz, Realtek RTL8139 ethernet adapter.

Bendemann (georg-bendemann) wrote :

A solution would be fine. Wicd is not as good as Knetworkmanager is and I'm often using static IPs in different wireless networks.

Oernie (arne-henningsen) wrote :

Frank wrote:
> Try editing /etc/NetworkManager/nm-system-settings.conf.
> In section [ifupdown], set "managed=true".

Thank you, Frank, for posting this solution. It works great!

I suggest that the Ubuntu team should change the default setting of "managed" to "true".
Or does this have any undesirable side effects?

Arne

KBios (kbios) wrote :

I had exactly the same problem (even with managed=true), but today's update (version 1:0.7svn864988-0ubuntu1.8.10.3) seems to have solved it. Great work!

Bendemann (georg-bendemann) wrote :

No, it still does not work.

Nick Bridgwater (leamphil) wrote :

I had the same problem (static ip would not work) & spotted bug 279409.

I changed the netmask for my static definition in knetworkmanager from 255.255.255.0 to 24.0.0.0 and my network connection works.

Shang Wu (shangwu) wrote :

Can anyone else confirm whether the 24.0.0.0 or the latest update fixes the issue?

This very frustrating to see that networkmanager is updated from one update to another and yet there is no improve in this matter :|

Peter Sabaini (peter-sabaini) wrote :

The update 1:0.7svn864988-0ubuntu1.8.10.3 didn't fix anything for me, but the workaround mentioned in bug 279409 did, ie. setting the netmask as 24.0.0.0 for a /24 network.

adi (arevelo-gmail) wrote :

i've the same problem, I have to change the ip address many times and my job becames very hard. 8.10 could be great if networkmanager works !!!

Katsudon (katsudon) wrote :

Not a very elegant workaround: after each login type

killall knetworkmanager

and run the GNOME applet by

nm-applet

Works like a charm but needs to be done after every login... Probably this could be automated by putting these commands into some KDE's autorun files.

It worked for me (i.e. changing netmask entry to 24.0.0.0. And is working
fine till now!!!
----- Original Message -----
From: "Shang Wu" <email address hidden>
To: <email address hidden>
Sent: Wednesday, December 10, 2008 11:54 PM
Subject: [Bug 280762] Re: knetworkmanager under kde4 doesn't recognize
thestatic IP connections that I have configured.

Can anyone else confirm whether the 24.0.0.0 or the latest update fixes
the issue?

--
knetworkmanager under kde4 doesn't recognize the static IP connections that
I have configured.
https://bugs.launchpad.net/bugs/280762
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “knetworkmanager” source package in Ubuntu: Confirmed

Bug description:
With gnome and nm-applet i have no problem, i have configured my static IP
connection and it works just right, but if i change to KDE 4 (it uses
knetworkmanager to manage the connection) then it just does not recognize it
and even if i introduce it again it doesn't work.
My system is: Kubuntu intrepid ibex beta, AMD 64 bits version.

i can confirm in intrepid after release

On Tue, Jan 13, 2009 at 1:48 PM, ahmedmu <email address hidden> wrote:

> It worked for me (i.e. changing netmask entry to 24.0.0.0. And is working
> fine till now!!!
> ----- Original Message -----
> From: "Shang Wu" <email address hidden>
> To: <email address hidden>
> Sent: Wednesday, December 10, 2008 11:54 PM
> Subject: [Bug 280762] Re: knetworkmanager under kde4 doesn't recognize
> thestatic IP connections that I have configured.
>
>
> Can anyone else confirm whether the 24.0.0.0 or the latest update fixes
> the issue?
>
> --
> knetworkmanager under kde4 doesn't recognize the static IP connections that
> I have configured.
> https://bugs.launchpad.net/bugs/280762
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in "knetworkmanager" source package in Ubuntu: Confirmed
>
> Bug description:
> With gnome and nm-applet i have no problem, i have configured my static IP
> connection and it works just right, but if i change to KDE 4 (it uses
> knetworkmanager to manage the connection) then it just does not recognize
> it
> and even if i introduce it again it doesn't work.
> My system is: Kubuntu intrepid ibex beta, AMD 64 bits version.
>
> --
> knetworkmanager under kde4 doesn't recognize the static IP connections that
> I have configured.
> https://bugs.launchpad.net/bugs/280762
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jonathan Aquilina

What is the use of Kubuntu without netwok ?

Any attempt to set a fixed Ip or wap passphrase brokes connection for ever.
This CRITICAL bug is still here months after.
Go to WICD as a working replacement for Knetwork manager.
(the gnome manager is working but loose his configuration, boring.)
(several installs, intrepid)

Nathan (skamaniac) wrote :

Frank wrote:
> Try editing /etc/NetworkManager/nm-system-settings.conf.
> In section [ifupdown], set "managed=true".

I can confirm this solution works.

Simply don't forget to restart NetworkManager, just changing the file will not have immediate effect.

(with root privileges)
$: /etc/init.d/NetworkManager restart

Denis (link011) wrote :

don`t work for me :-(
kubuntu 8.10

Kennedyshead (knutas) wrote :

I can confirm this bug to.

And I must say that for Ubuntu to be a real competitor to Leopard or even win 7/vista/xp there is a need to slow progress down (implementing new cool features) and focus more on making instable systems more stable! of course one should implement the really neat things but overall there should be a higher focus on stability!

Yannis Tsop (ogiannhs) wrote :

I have the same problem (tested with 3 computers). Kubuntu 8.10 with KDE 4.2 from ppa repo.

geordie (geordie-aerocare) wrote :

This prob could be bigger than kubuntu.

I have installed the standard Ubuntu 8.10. (MSIU100) After the initial install eth0 worked fine, then I installed the 230ish updates and eth0 broke (same symptoms as described here)

DHCP times out and static IP doesn't work.
A solution that does not fix DHCP is not acceptable for me (i connect to too many different networks)

PS. Franks fix didn't work for me either

I might try reverting the network-manager and libnm-glib0 packages and see what happens

Knysliux001 (knysliux001) wrote :

To geordie
It sounds for me, that you are experiencing different problem than described above. For those affected #280762 DHCP works fine. The problem for us is that we cannot connect using static IP from KNetworkManager GUI using normal mask, we have to use cryptic (like 24.0.0.0) numbers.
After a few months and hundreds of Kubuntu patches nothing changes. KNetworkManager still defaults to DHCP.

Same problem with lenovo x200 x31 and desktop Computer.
Adittionally I can't connect to WPA-WLAN.

for me problem is present regardless if its with wifi or wired.

On Wed, Feb 4, 2009 at 12:28 AM, Wolfgang_Pfalzgraf
<email address hidden>wrote:

> Same problem with lenovo x200 x31 and desktop Computer.
> Adittionally I can't connect to WPA-WLAN.
>
> --
> knetworkmanager under kde4 doesn't recognize the static IP connections that
> I have configured.
> https://bugs.launchpad.net/bugs/280762
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jonathan Aquilina

Rup.Xamqon (rupxamqon) wrote :

I am using Kubuntu Intrepid with KNetworkManager and WiFi, on a Dell XPS M1330. I could get a static IP connection to work only with the workaround I mentioned earlier here (2008-11-12).

Now I applied the suggestion of Nick Bridgwater (2008-12-09):
>I had the same problem (static ip would not work) & spotted bug 279409.
>I changed the netmask for my static definition in knetworkmanager from
>255.255.255.0 to 24.0.0.0 and my network connection works.

I can confirm that it works without problem, keeping the static IP even through restarts.

Changed in knetworkmanager:
importance: Undecided → High
Sourav (sourav-r-mohanty) wrote :

Me too facing the same problem. Tried all means of setting a static IP.
Dont understands what the fuck is wrong....? Still using DHCP for the IP.

Tried with KNetworkManager it fails.
Need solution to this pl.

Regards,
Sourav Mohanty

I'm running intrepid with kde4 from PPA.

Here networkmanager uses dhcp regardless of my manual IP settings. DHCP does work but I need a static IP. I've tried both the netmask of 24.0.0.0 and the managed=true solutions but those do not work for me. I'm getting this error in my logs:

 NetworkManager: <WARN> wait_for_connection_expired(): Connection (2) /org/freedesktop/NetworkManagerSettings/Connection/0 failed to activate (timeout): (0) Connection was not provided by any settings service

Regards,
Marius Karthaus

knetworkmanager --version
Qt: 3.3.8b
KDE: 3.5.10
KNetworkManager: 0.7

Download full text (3.2 KiB)

Description of problem:
If one sets ONBOOT=no in /etc/sysconfig/network-scripts/ifcfg-eth0 and configures static IP networking using knetworkmanager, the user's settings are not applied to the system as expected.

It appears that NetworkManager is having trouble dealing with the IPv4 address configuration given it by knetworkmanager.

Version-Release number of selected component (if applicable):
knetworkmanager-0.7-0.8.20080926svn.fc10.i386
NetworkManager-0.7.0.99-3.fc10.i386

How reproducible:
Always.

Steps to Reproduce:
1.Set ONBOOT=no in /etc/sysconfig/network-scripts/ifcfg-eth0
2.Use knetworkmanager to configure a static IP setup
3.Apply setup using knetworkmanager

Actual results:
No valid IPv4 configuration for eth0.

Expected results:
A valid IPv4 configuration for eth0 using the parameters I configured using knetworkmanager.

Additional info:
/home/xxx/.kde/share/config/knetworkmanagerrc contents:
[ConnectionSetting_eaxU3ukzi5uLQov9_802-3-ethernet]
Type=802-3-ethernet
Value_auto-negotiate=<bool>true</bool>\n
Value_mtu=<uint32>0</uint32>\n
Value_speed=<uint32>0</uint32>\n

[ConnectionSetting_eaxU3ukzi5uLQov9_connection]
Type=connection
Value_autoconnect=<bool>true</bool>\n
Value_id=<string>Fubar Wired</string>\n
Value_type=<string>802-3-ethernet</string>\n
Value_uuid=<string>eaxU3ukzi5uLQov9</string>\n

[ConnectionSetting_eaxU3ukzi5uLQov9_ipv4]
Type=ipv4
Value_addresses=<list>\n <list>\n <uint32>25274560</uint32>\n <uint32>16777215</uint32>\n <uint32>2189535424</uint32>\n </list>\n</list>\n
Value_dns=<list>\n <uint32>27024964</uint32>\n <uint32>27090500</uint32>\n</list>\n
Value_dns-search=<list>\n <string>sbcglobal.net</string>\n</list>\n
Value_ignore-auto-dns=<bool>false</bool>\n
Value_ignore-auto-routes=<bool>false</bool>\n
Value_method=<string>manual</string>\n

[Connection_eaxU3ukzi5uLQov9]
Id=eaxU3ukzi5uLQov9
Secrets=
Settings=ConnectionSetting_eaxU3ukzi5uLQov9_connection,ConnectionSetting_eaxU3ukzi5uLQov9_802-3-ethernet,ConnectionSetting_eaxU3ukzi5uLQov9_ipv4
Type=802-3-ethernet

Related error messages observed in /var/log/messages:
Mar 23 10:56:01 lucy NetworkManager: <info> (eth0): device state change: 1 -> 2
Mar 23 10:56:01 lucy NetworkManager: <info> (eth0): bringing up device.
Mar 23 10:56:01 lucy kernel: eth0: setting full-duplex.
Mar 23 10:56:01 lucy NetworkManager: <info> (eth0): preparing device.
Mar 23 10:56:01 lucy NetworkManager: <info> (eth0): deactivating device (reason: 2).
Mar 23 10:56:01 lucy NetworkManager: <info> (eth0): carrier now ON (device state 2)
Mar 23 10:56:01 lucy NetworkManager: <info> (eth0): device state change: 2 -> 3
Mar 23 10:56:04 lucy ntpd[2137]: Listening on interface #6 eth0, fe80::208:74ff:fe39:6016#123 Enabled
Mar 23 10:56:14 lucy NetworkManager: <WARN> connection_get_settings_cb(): connection_get_settings_cb: Invalid connection: 'NMSettingIP4Config' / 'addresses' invalid: 1
Mar 23 10:56:14 lucy NetworkManager: <WARN> connection_get_settings_cb(): connection_get_settings_cb: Invalid connection: 'NMSettingIP4Config' / 'addresses' invalid: 1
Mar 23 10:57:27 lucy NetworkManager: <WARN> nm_signal_handler(): Caught signal15, shutting down normally.
Mar 23 10:57:27 lucy NetworkM...

Read more...

Workaround: Configure static IP networking using system-config-network, and set ONBOOT=yes in /etc/sysconfig/network-scripts/ifcfg-eth0. NetworkManager works fine with static IP configuration from /etc/sysconfig/network-scripts/ifcfg-eth0.

Yannis Tsop (ogiannhs) wrote :

Same with Jaunty and Kubuntu!

Peter Lemieux (seijisensei) wrote :

Jaunty alpha 6 still can't seem to make a static IP connection via knetworkmanager; I have the beta but haven't tried it yet.

I'm in general agreement with the commentators above who believe this app needs serious work now. I find it has many annoying features:

1) integration with kwallet - Regardless of whether the KDE devs think everything should use the wallet, as a user it's a pain in the neck. I tried disabling the wallet entirely upon which knetworkmanager crashed and took the panel with it. What was wrong with the 4.1 functionality where knetworkmanager kept its own passwords?

2) I cannot seem to launch a connection by double-clicking it in the list displayed by Manage Connections. I had a stored configuration for my router, but clicking on the tray icon to bring up the list of SSIDs didn't launch it either. This one had a static IP address so it may be related to the bugs reported here.

3) Adding a static IP to the list is a user nightmare. First off, the Add button doesn't launch a separate dialog with entries for the address/netmask/gateway. Instead you have to click in the listing window and type over the blue areas. It took me quite a while to figure this out. Plus you cannot navigate across fields in that list with the tab button. You must enter an item like the address, then leave the list, then go to the next item. This whole process needs a simple Add dialog box.

I would say that fixing problems with knetworkmanager should be a critical priority for either the KDE devs or the Ubuntu devs. Problems in a function as critical as user-level network management will absolutely discourage anyone converting from another platform like Windows to Kubuntu.

I'd also like to see a simple method at installation to enable the network connection during boot rather than requiring user intervention. I'm sure I could figure out how to do this from browsing the Web and editing config files, but it should be much easier to configure by default. Not everyone running Ubuntu is using a laptop; for people on wired networks, or people with static addresses, the current system of pushing network connections to the user level makes things more difficult than they need to be. If I were in an office setting, I'd expect my computer to connect to the network upon boot, not require me to run some application from the desktop.

Peter Lemieux (seijisensei) wrote :

Sorry, I forgot one more complaint. Where are the error reports for knetworkmanager? When a connection fails, you don't get any feedback on why it failed.

Rup.Xamqon (rupxamqon) wrote :

As I mentioned earlier (https://bugs.launchpad.net/ubuntu/+source/knetworkmanager/+bug/280762/comments/59), I could get a static IP connection to work under Kubuntu Intrepid.
Now I installed "ubuntu-desktop" to have also the Gnome alternative. Since then, my static IP disappeared when in KDE! Only when I click on my connection in KNetworkManager to reconnect I get the static IP back.
I think maybe the problem is that the nm-applet connects with the Gnome settings before the start of KDE.
I did not try to uninstall anything yet, fearing I'd loose all connectivity...

Steve Langasek (vorlon) wrote :

knetworkmanager is no longer the default network manager interface for Kubuntu in 9.04; untargeting this from the jaunty release.

Changed in knetworkmanager (Ubuntu Jaunty):
status: Confirmed → Won't Fix

Confirming in Intrepid + KDE 4.2 from PPA, knetworkmanager Version: 1:0.7svn864988-0ubuntu1.8.10.3.

When trying to set a fixed IP for an interface with KNetworkmanager, the connection will fail with a syslog message such as :

« NetworkManager: <WARN> connection_get_settings_cb(): connection_get_settings_cb: Invalid connection: 'NMSettingIP4Config' / 'addresses' invalid: 1
NetworkManager: <WARN> wait_for_connection_expired(): Connection (2) /org/freedesktop/NetworkManagerSettings/Connection/7 failed to activate (timeout): (0) Connection was not provided by any settings service »

Tracing this it seems to relate with the following line that KNetworkManager generates in knetworkmanagerrc for the fixed IP address :

Value_addresses=<list>\n <list>\n <uint32>2164435136</uint32>\n <uint32>16777215</uint32>\n <uint32>4261587136</uint32>\n</list>\n</list>\n

We can see here that the "list" tags open/close are doubled. If closing KNetworkmanager and editing knetworkmanagerrc by hand, then removing the doubled tags, and restarting KNetworkManager afterwards, the connection will establish again with no errors - but in DHCP, it will ignore the fixed address specification.

IMHO looks like KNetworkManager just puts wrotten values in its XML config file and is unable to parse them properly afterwards, and sends bullshit to networkmanager. A bug with no doubt.

Jools Wills (jools) wrote :

I don't understand setting this to won't fix. Some people may not want to use the plasma interface. As long as this package is available, this bug should be fixed. Closing the bug will not make the problem go away!

Jools Wills (jools) wrote :

Also, this bug has been around since before the release of intrepid. If knetworkmanager is going to be broken, it is better to remove it from the jaunty release altogether.

if it is removed from jaunty what alternatives r there

On Wed, Apr 8, 2009 at 1:56 AM, Jools Smyth <email address hidden>wrote:

> Also, this bug has been around since before the release of intrepid. If
> knetworkmanager is going to be broken, it is better to remove it from
> the jaunty release altogether.
>
> --
> knetworkmanager under kde4 doesn't recognize the static IP connections that
> I have configured.
> https://bugs.launchpad.net/bugs/280762
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jonathan Aquilina

Yannis Tsop (ogiannhs) wrote :

maybe we should try network-manager-kde

Yannis Tsop (ogiannhs) wrote :

knetworkmanager is a dummy package to depend on network-manager-kde for
upgrades, it can be safely removed. WTF??

we need an alternative to knetworkmanager. either someone can try debug it
or re code it

On Wed, Apr 8, 2009 at 10:28 AM, Yannis T <email address hidden> wrote:

> knetworkmanager is a dummy package to depend on network-manager-kde for
> upgrades, it can be safely removed. WTF??
>
> --
> knetworkmanager under kde4 doesn't recognize the static IP connections that
> I have configured.
> https://bugs.launchpad.net/bugs/280762
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jonathan Aquilina

Changed in knetworkmanager (Fedora):
status: Unknown → Confirmed
Kenneth Perry (thothonegan) wrote :

As far as i can tell : knetworkmanager is NOT being removed : its only marked Wont Fix for Jaunty's release, since its not the default network handler in Jaunty (see that its still confirmed for Ubuntu itself). The replacement in jaunty is plasma-widget-network-manager : a plasma widget for controlling network manager.

Yannis Tsop (ogiannhs) wrote :

Neither plasma-widget-network-manager will recognise static ips.

I use Kubuntu Jaunty Beta amd64 and after upgrading some KDE components I couldn't connect to GSM network (ISP: Movistar) using a Huawei Mobile Modem, but I can connect to Internet in Gnome with nm-applet. So maybe it's a problem of DBUS or HAL in KDE system or a bug in the networkmanager plasma widget.

Changed in knetworkmanager (Ubuntu):
assignee: nobody → Jonathan Riddell (jr)
tuomask (tuomask) wrote :

Frank's suggestion worked for me.
I don't have a static IP, using just DHCP. Still after a recent update in Jaunty NetworkManager couldn't establish system connection, nothing worked, couldn't even access local modem.
Current version: knetworkmanager - 1:0.7svn864988-0ubuntu8

tuomask (tuomask) wrote :

Edit to above: the solution was only temporary.
I noticed that both knetworkmanager and plasma-widget-network-manager were installed, removing knetworkmanager solved the issue.

Thiago Coutinho (thiagoc) wrote :

I have the same problem.

Kubuntu 9.04 lpia with plasma-widget-network-manager, without knetworkmanager.

nemarona (nemarona) wrote :

Got tired of waiting, moved to Gnome.

Using Wicd works well on my laptop.

I got a workaround with using wicd (package for my Kubuntu)

With that I had no more problems to connect to an wiered or wireless network, with dhcp or fixed ip.
(It took some time to find out how to add a new profile)

From canonical I got:
I have tried another network manager called Wicd[1]. It works in Intrepid and Jaunty. If you wish to give that a try in Intrepid, please follow the instruction to add the software to the system: (It is in the universe repository in Jaunty, no need to follow the instruction here)

When it appears, go to Settings > Repositories > Third Party Software > Add..., and enter the following line:

deb http://apt.wicd.net intrepid extras

where intrepid is your version of Ubuntu in lowercase (dapper, edgy, feisty, gutsy, hardy, intrepid). You'll also need to add the key used for signing Wicd by running the following command in a terminal:

wget -q http://apt.wicd.net/wicd.gpg -O- | sudo apt-key add -

*Please be aware that because this package is not in main, if you decided to use it to resolve the issue with the static IP address, I will not be much help if you run into other issues in the future.

Regards,

[1] Wicd home page:
http://wicd.net

Thanks for letting us know of this workaround. Is this still an issue with the latest KDE updates. With kde4.2 knetworkmanager is no longer a standalone package for fedora. If this is still an issue please file a bug report upstream at http://bugs.kde.org and add upstream info to this report.

Changed in knetworkmanager (Fedora):
status: Confirmed → In Progress
Nicola Ferralis (feranick) wrote :

The inability to set the submask in network manager 0.7 is also affecting the dell mini build of hardy.

ahmedmu (moeenua) wrote :

Hello! I used the same workaround and it worked for me. However the Network
manager applet in Jaunty does not work even with this. So i did a very
lenghthy workaaround. !) Installed Ibex first, configured the knm there ,
then 2) upgraded to jaunty using alternate CD. This way presrved my oledr
knm with config and was able to connect to internet.

On 12/9/08, Nick Bridgwater <email address hidden> wrote:
>
> I had the same problem (static ip would not work) & spotted bug 279409.
>
> I changed the netmask for my static definition in knetworkmanager from
> 255.255.255.0 to 24.0.0.0 and my network connection works.
>
> --
> knetworkmanager under kde4 doesn't recognize the static IP connections that
> I have configured.
> https://bugs.launchpad.net/bugs/280762
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “knetworkmanager” source package in Ubuntu: Confirmed
>
> Bug description:
> With gnome and nm-applet i have no problem, i have configured my static IP
> connection and it works just right, but if i change to KDE 4 (it uses
> knetworkmanager to manage the connection) then it just does not recognize it
> and even if i introduce it again it doesn't work.
> My system is: Kubuntu intrepid ibex beta, AMD 64 bits version.
>

Bugs should only be filed in the Dell Mini project if they are observed in the customized factory Ubuntu image from Dell.

Changed in dell-mini:
status: New → Invalid
Jonathan Thomas (echidnaman) wrote :

Thank you for taking the time to report this bug and helping to make Kubuntu better. The KDE3 version of KNetworkManager has been discontinued by its original authors. This unfortunately means that there will be no more bugfix releases, and updates in general will be limited to those fixing security flaws.

While we cannot fix your bug, the good news is that the applet has been totally rewritten for KDE4 in the upcoming Kubuntu 9.10 release. There is a good chance that this bug is no longer an issue with the new applet. If you find any similar or new issues with the applet included in Kubuntu 9.10, we would politely ask you to file them as new bugs against the "plasma-widget-networkmanagement" package.

Thanks in advance for your cooperation and understanding.

Changed in knetworkmanager (Ubuntu):
status: Confirmed → Won't Fix

Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

--
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Changed in knetworkmanager (Fedora):
status: In Progress → Invalid
Yusef Maali (usef) wrote :

Hi Jonathan,

I have not understand if knetworkmanger is no longer supported and if it is removed from Kubuntu 9.10 and 10.04. Seems from your words that it is replaced by the plasma-widget-networkmanagement as default option.

But if you install a fresh 9.10/10.04 Kubuntu (or update to them) you will found knetworkmanager up and running, not the plasma widget :)

Anyway I noticed that the "Auto Eth0" connection and its "Connect automatically" flag is not editable. This makes impossible to create a custom connection (ie for static ip).
At each startup the "Auto Eth0" takes priority over all other connections.

I have filed a bug report about this:
https://bugs.launchpad.net/bugs/591024

Changed in knetworkmanager (Fedora):
importance: Unknown → Medium
status: Invalid → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.